# Uses of Class
org.apache.sysds.parser.ForStatementBlock

Packages that use ForStatementBlock
Package
Description
org.apache.sysds.hops
org.apache.sysds.parser
org.apache.sysds.runtime.util

## Uses of ForStatementBlock in org.apache.sysds.hops

Methods in org.apache.sysds.hops with parameters of type ForStatementBlock
Modifier and Type
Method
Description
`static long`
OptimizerUtils.`getNumIterations(ForStatementBlock fsb, long defaultValue)`

## Uses of ForStatementBlock in org.apache.sysds.parser

Subclasses of ForStatementBlock in org.apache.sysds.parser
Modifier and Type
Class
Description
`class`
`ParForStatementBlock`
This ParForStatementBlock is essentially identical to a ForStatementBlock, except an extended validate for checking/setting optional parfor parameters and running the loop dependency analysis.
Methods in org.apache.sysds.parser with parameters of type ForStatementBlock
Modifier and Type
Method
Description
`void`
DMLTranslator.`constructHopsForForControlBlock(ForStatementBlock sb)`
Constructs Hops for a given ForStatementBlock or ParForStatementBlock, respectively.
`void`
DMLTranslator.`constructHopsForIterablePredicate(ForStatementBlock fsb)`
Constructs all predicate Hops (for FROM, TO, INCREMENT) of an iterable predicate and assigns these Hops to the passed statement block.

## Uses of ForStatementBlock in org.apache.sysds.runtime.util

Methods in org.apache.sysds.runtime.util that return ForStatementBlock
Modifier and Type
Method
Description
`static ForStatementBlock`
ProgramConverter.`createForStatementBlockCopy(ForStatementBlock sb, boolean forceDeepCopy)`
Methods in org.apache.sysds.runtime.util with parameters of type ForStatementBlock
Modifier and Type
Method
Description
`static ForStatementBlock`
ProgramConverter.`createForStatementBlockCopy(ForStatementBlock sb, boolean forceDeepCopy)`